"rand.cor" <- function(x, y, nsim = 10000) {
  c <- cor.test(x, y, method="pearson")
  p <- 0
  for (i in 1:nsim) {
    s <- sample(y)
    if (cor.test(x, s, method="pearson")$estimate >= c$estimate) {
      p <- p + 1
    }
  }
  list(cor=c$estimate, p.value=p / nsim, n = length(x))
}


