-- All CO2 emissions by author country
.mode tabs
select Divisions.name, density, gdppc, avg(CO2), count(*) from Papers
inner join Locations on Papers.corrLocId = Locations.id
inner join Divisions on Locations.cc1 = Divisions.country
inner join GDPPC on Divisions.name = upper(GDPPC.name)
inner join POPDENSITY on Divisions.name = upper(POPDENSITY.name)	
where Divisions.code = '00' and CO2 notnull
group by Locations.cc1
having count(*) > 20
order by avg(CO2) asc;
